Altiris® IMAGEEXPLORER 6.8 - Aide

Altiris®
IMAGEEXPLORER 6.8
- Aide


Notice légale

ImageExplorer
© 2006 Altiris, Inc. Tous droits réservés.
Date du document : 26 juillet 2006
Bootworks Brevet U.S. No. 5 764 593.
RapiDeploy U.S. Brevet No. 6 144 992.
Recovery Solution Brevet U.S. No. 5778395, 5907672, 4701745, 5016009, 5146221, 5144425, 5463390, 5506580, 5532694, GB 2172127, B 904359, 3606869.
Autres brevets en attente.
En raison de la complexité inhérente aux logiciels informatiques, Altiris ne garantit pas que le logiciel Altiris est exempt d'erreurs, fonctionnera sans interruption, est compatible avec tous les équipements et les configurations logicielles ou correspondra à vos besoins.
Le contenu de cette documentation est exclusivement fourni à titre d'information, peut être modifié sans préavis et ne constitue nullement un engagement de la part d'Altiris. Altiris Inc. décline toute responsabilité en cas d'erreurs ou d'imprécisions éventuelles dans cette documentation. Pour obtenir la documentation la plus à jour, visitez notre site Web à l'adresse : www.altiris.com.
Altiris, le logo Altiris, BootWorks, Eality, ImageBlaster, Inventory Solution, PC Transplant, RapiDeploy, RapidInstall et Vision sont des marques déposées d'Altiris, Inc. aux États-Unis. Altiris, le logo Altiris et ManageFusion sont des marques déposées d'Altiris, Inc. dans d'autres pays.
Altiris Connector, Altiris eXpress, Altiris Protect, Application Management Solution, Application Metering Solution, Asset Control Solution, Asset Management Suite, Carbon Copy, Client Management Suite, Compliance Toolkit, Connector Solution, Contract Management Solution, Deployment Server, Deployment Solution, Energy Saver Toolkit, Education Management Suite, FSLogic, Handheld Management Suite, Helpdesk Solution, Lab Management Suite, ManageFusion, Migration Toolkit, Mobile Client for SMS, Monitor Solution, Network Discovery, Notification Server, Package Importer, Patch Management Solution, Problem Management Suite, Recovery Solution, Security Solution, Server Management Suite, Site Monitor Solution, Software Delivery Solution, SNMP Management, Software Delivery Suite, TCO Management Solution, UNIX Client for SMS, Web Administrator, Web Reports, et les autres noms de produits sont des marques d'Altiris, Inc. aux États-Unis et dans d'autres pays.
AuditExpress, Scan on Detect et SecurityExpressions sont des marques de Pedestal Software Inc. aux États-Unis. Audit on Connect et Audit on Detect sont des marques de Pedestal Software Inc. aux Etats-Unis et dans d'autres pays.
WebLens et Guaranteeing Your Net Works sont des marques déposées de Tonic Software Inc. aux États-Unis.
WebInsight et RUM sont des marques de Tonic Software Inc. aux États-Unis.
Microsoft, Windows et le logo Windows sont des marques ou des marques déposées de Microsoft Corporation aux États-Unis et/ou dans d'autres pays.
HP et Compaq sont des marques déposées de Hewlett-Packard Corporation.
Dell est une marque déposée de Dell Inc.
Macintosh est une marque déposée de Apple Computer Corporation.
Palm OS est une marque déposée de Palm Computing, Inc.
BlackBerry est une marque de service et une marque de Research In Motion Limited Corporation.
RIM est une marque de service et une marque déposée de Research In Motion (RIM).
Les autres noms de sociétés, de marques et de produits sont ou peuvent être des marques de leurs détenteurs respectifs.


Altiris ImageExplorer

Le logiciel ImageExplorer d'Altiris offre des fonctions permettant d'afficher et de modifier des fichiers image. Les fichiers image sont créés à l'aide de l'utilitaire RapiDeploy, un outil très couramment utilisé dans la solution 'Deployment Solution' pour créer et distribuer des fichiers image de disque dur, c'est-à-dire un fichier IMG ou EXE contenant une réplique du disque dur de l'ordinateur source.

Avec ImageExplorer, vous pouvez modifier un fichier image - ajouter ou supprimer des fichiers de données, des dossiers ou des applications - avant de télédistribuer et de restaurer son contenu sur un ordinateur client. Vous pouvez afficher les propriétés et effectuer des opérations telles que l'extraction et l'enregistrement de fichiers sur un autre volume cible, ou bien exclure certains fichiers de la restauration au moment où vous télédistribuez le fichier image à un ordinateur client. Vous pouvez également imprimer le contenu d'un dossier ou modifier un fichier en utilisant l'application qui lui est associée.

Voir aussi : Utilisation d'ImageExplorer

Fonctions d'ImageExplorer
  • Ajouter de nouveaux fichiers et dossiers
  • Utiliser le mode ligne de commande
  • Convertir des images
  • Créer des index d'images
  • Extraire des fichiers et des dossiers
  • Exclure des volumes, dossiers et fichiers de la restauration (ou les y inclure)
  • Rechercher des fichiers dans une image
  • Ouvrir et modifier un fichier avec son programme associé
  • Créer des images auto-extractibles
  • Imprimer l'arborescence image des fichiers, dossiers et volumes
  • Remplacer des fichiers
  • Restaurer le contenu original des fichiers image
  • Fractionner des images
  • Afficher, ajouter ou modifier la description d'une image
  • Afficher les propriétés des fichiers, dossiers et volumes dans une image
Interface utilisateur d'ImageExplorer

Cliquez sur l'icône ImageExplorer dans la barre d'outils ou Choisissez le menu Tools > ImageExplorer. Le programme ImgExpl.exe qui se trouve dans le partage du DS apparaît.
Vous pouvez ouvrir et modifier des fichiers image de type fichier IMG natif ou bien des fichiers image présentant des versions runtime rdeploy.exe compressées de type fichier EXE.

ImageExplorer d'Altiris fournit les fonctions suivantes qui vous permettent d'afficher, de gérer et de modifier les éléments de volume, dossier et fichier d'un fichier image.

Fonctions
Description
Bouton
Accès
Ajouter fichier(s)
Ajoute un ou plusieurs nouveaux fichiers au fichier image. Voir Ajout de nouveaux fichiers.
L'option Ajouter fichier(s) est disponible lorsque vous effectuez un clic droit sur un volume, dossier ou fichier dans l'arborescence. Lorsque vous effectuez un clic droit sur un fichier et que vous sélectionnez Ajouter fichier(s), le ou les nouveaux fichiers sont ajoutés au même dossier.

Option 1 : Ctrl-A
Option 2 : Choisissez le menu Edition > Ajouter fichier(s)
Option 3 : Effectuez un clic droit sur un élément et sélectionnez Ajouter fichier(s)
Ajouter dossier
Ajoute un nouveau dossier au fichier image. Cliquez sur n'importe quel élément pour ajouter un dossier à l'objet conteneur.
L'option Ajouter dossier est disponible lorsque vous effectuez un clic droit sur un volume, dossier ou fichier de l'arborescence.

Option 1 : Ctrl-D
Option 2 : Choisissez le menu Edition > Ajouter dossier
Option 3 : Effectuez un clic droit sur un élément et sélectionnez Ajouter dossier
Convertir image
Convertit des fichiers image de format de fichier 4 au format le plus utilisé actuellement par RapiDeploy. Voir Conversion d'une image.
Option 1 : Ctrl-T
Option 2 : Choisissez le menu Fichier > Convertir image
Copier
Copie un fichier ou un dossier depuis un emplacement et vous permet de le coller dans un fichier image cible.
Remarque : la copie d'importants volumes de données et d'un grand nombre de fichiers entre des fichiers image peut demander plusieurs minutes.

Option 1 : Ctrl-C

ou

Option 2 : Choisissez le menu Edition > Copier

ou

Option 3 : Effectuez un clic droit sur un élément et sélectionnez Copier
Créer index d'image
Crée un index d'image afin de faciliter le processus de restauration d'images. Voir Création d'un index d'image.
Option 1 : Ctrl-I
Option 2 : Choisissez le menu Fichier > Créer index d'image
Exclure
Marque les volumes, dossiers et fichiers à ne pas inclure dans le déploiement du fichier image sur un ordinateur client.
Remarque : vous pouvez également exclure un fichier en sélectionnant la case à cocher en regard du nom du fichier dans le volet Détails de droite. L'icône [image] remplace alors la case à cocher.

Option 1 : Touche Suppr

ou

Option 2 : Choisissez le menu Edition > Exclure

ou

Option 3 : Effectuez un clic droit sur un fichier et sélectionnez Exclure fichier(s)
Extraire
Extrait un volume complet, un dossier (y compris ses sous-dossiers) ou un fichier depuis le fichier image. Vous pouvez sélectionner un volume ou un répertoire cible où enregistrer les dossiers ou fichiers. Voir Extraction d'un dossier.
Remarque : l'extraction d'importants volumes de données et d'un grand nombre de fichiers peut demander plusieurs minutes.

Option 1 : Ctrl-E

ou

Option 2 : Choisissez le menu Edition > Extraire

ou

Option 3 : Effectuez un clic droit sur un élément et sélectionnez Extraire fichier(s)
Rechercher
Vous pouvez rechercher des fichiers ou des dossiers au sein d'un fichier image en utilisant des noms spécifiques ou des caractères génériques. Vous pouvez utiliser ? comme variable pour un caractère unique, ou bien * (astérisque) pour des caractères multiples. Voir Recherche de fichiers.

Option 1 : Ctrl-F

ou

Option 2 : Choisissez le menu Edition > Rechercher

Option 3 : Effectuez un clic droit sur un objet conteneur et sélectionnez Rechercher
Inclure
Lors du déploiement sur un ordinateur client, permet d'inclure dans le fichier image les volumes, dossiers et fichiers qui avaient précédemment été marqués comme Exclus.
Remarque : vous pouvez également inclure un fichier précédemment exclu en cliquant sur [image] en regard du nom du fichier situé dans le volet Détails de droite. Une case à cocher apparaîtra alors.

Option 1 : Touche Inser

ou

Option 2 : Choisissez le menu Edition > Inclure

ou

Option 3 : Effectuez un clic droit sur un élément exclu et sélectionnez Inclure
Rendre auto-extractible
Crée un fichier à extraction automatique depuis un fichier image existant. Voir Création d'images auto-extractibles.
Option 1 : Ctrl-M
Option 2 : Choisissez le menu Fichier > Rendre auto-extractible
Ouvrir fichier
(disponible pour les fichiers)
Ouvre un fichier à l'aide de son application associée, si l'application est présente sur l'ordinateur où s'exécute ImageExplorer.

Option 1 : Double-cliquez sur

ou

Option 2 : Choisissez le menu Edition > Ouvrir

ou

Option 3 : Effectuez un clic droit sur le fichier et sélectionnez Ouvrir
Ouvrir le fichier avec
Vous permet d'ouvrir un fichier à l'aide d'un programme sélectionné. Si le fichier est déjà associé à un programme, il vous suffit de double-cliquer dessus pour l'ouvrir. Utilisez Ouvrir avec pour modifier le programme ou sélectionnez la fonction par défaut Ouverture rapide.
Remarque : les fichiers image créés avec IBMaster 4.5 ne s'ouvriront pas. Vous pouvez toutefois utiliser la fonction Conversion d'une image pour convertir des fichiers image au format de fichier RapiDeploy actuel.
Option 1 : Double-clic (s'il n'y a pas de programme associé)

ou

Option 2 : Choisissez le menu Edition > Ouvrir avec

ou

Option 3 : Effectuez un clic droit sur le fichier et sélectionnez Ouvrir avec
Ouvrir fichier image
Ouvre un fichier image créé avec RDeploy.exe ou IBMaster.exe. Les fichiers créés avec IBMaster sont en lecture seule, mais peuvent toutefois être affichés et extraits. Vous devrez utiliser une version antérieure d'ImageExplorer (Deployment Solution 5.5 ou antérieure, ou bien RapiDeploy 4.5 ou antérieur) pour modifier les fichiers créés avec IBMaster.exe.

Option 1 : Ctrl-O

ou

Option 2 : Choisissez le menu Fichier > Ouvrir
Coller
Déplace un fichier ou un dossier depuis un emplacement vers un autre.

Option 1 : Ctrl-V

ou

Option 2 : Choisissez le menu Edition > Coller

ou

Option 3 : Effectuez un clic droit sur un élément et sélectionnez Coller
Imprimer
Dossiers: Imprime la structure des dossiers. Inclut les sous-dossiers et les fichiers avec leur date/heure de modification et leur taille.

Fichiers : Imprime le fichier actuel. Le programme d'installation associé doit être installé pour que vous puissiez imprimer le fichier (exemple : MS Word pour imprimer les fichiers DOC).
Voir Impression du contenu du dossier et Impression d'un fichier

Option 1 : Ctrl-P

ou

Option 2 : Choisissez le menu Fichier > Imprimer

ou

Option 3 : Effectuez un clic droit sur un élément et sélectionnez Imprimer
Propriétés
Fournit des informations générales sur le dossier ou le fichier, par exemple la taille, les dates de modification et les attributs. Les propriétés s'affichent de manière différente pour les images, les volumes, les dossiers ou les fichiers. Voir Affichage des propriétés.

Option 1 : Alt-Entrée

ou

Option 2 : Choisissez le menu Fichier > Propriétés

ou

Option 3 : Effectuez un clic droit sur un élément et sélectionnez Propriétés
Remplacer des fichiers
(disponible pour les fichiers)
Permet de mettre à jour un fichier qui se trouve dans l'image avec un fichier provenant d'une autre source. Les deux fichiers doivent porter le même nom.

Option 1 : Ctrl-L

ou

Option 2 : Choisissez le menu Edition > Remplacer

ou

Option 3 : Effectuez un clic droit sur un fichier et sélectionnez Remplacer fichier(s)
Rétablir
(disponible pour les fichiers)
Fonction d'annulation de l'option Remplacer fichier(s). Elle permet de revenir au fichier original à partir d'un fichier précédemment modifié.

Option 1 : Ctrl-R

ou

Option 2 : Choisissez le menu Edition > Rétablir

ou

Option 3 : Effectuez un clic droit sur un élément et sélectionnez Rétablir fichier(s)
Fractionner image
Fractionne une image d'une taille donnée en plusieurs segments de plus petite taille. Voir Conversion d'une image.
Option 1 : Ctrl-S
Option 2 : Choisissez le menu Fichier > Fractionner image


Utilisation d'ImageExplorer

Lorsque ImageExplorer est en cours d'exécution, ouvrez le fichier image que vous souhaitez afficher ou modifier en sélectionnant Fichiers > Ouvrir imagedepuis la barre de menu des programmes.

Remarque : les fichiers image créés à l'aide de IBMaster.exe, et non avec la version actuelle de RDeploy.exe, ne peuvent pas être ouverts avec la version d'ImageExplorer qui est livrée avec la solution 'Deployment Solution' 5.6 ou ultérieure. Les fichiers image créés avec IBMaster peuvent toutefois être affichés et les fichiers peuvent être extraits. ImageExplorer affichera toujours les fichiers créés avec IBMaster en lecture seule, même si les attributs du fichier sont en lecture-écriture. Pour modifier des fichiers image plus anciens, vous devrez utiliser la version d'ImageExplorer Altiris livrée avec les versions plus anciennes de la solution 'Deployment Solution'.

Voir aussi : Affichage des propriétés, Ajout de nouveaux fichiers et Extraction d'un dossier.


Affichage des propriétés

Une fois que vous avez ouvert un fichier image avec ImageExplorer, vous pouvez consulter les informations de base concernant le fichier image et ses éléments en sélectionnant un nom de fichier ou de volume (partition) et en cliquant sur Propriétés. Vous pouvez ouvrir la page de propriétés pour un fichier image, un volume ou un fichier en effectuant un clic droit dessus, puis en sélectionnant Propriétés, ou en choisissant le menu Fichier > Propriétés, ou encore en utilisant les touches Alt-Entrée de votre clavier. Selon le type d'élément d'image, une page de propriétés s'ouvre et propose les onglets suivants :


Propriétés générales d'un fichier image

Cette page affiche les données propres aux fichiers image. Après avoir sélectionné Propriétés pour une image sélectionnée, cliquez sur l'onglet Général pour afficher les éléments de l'image et les données de propriétés supplémentaires, telles que la taille, l'emplacement et les attributs.

La page de propriétés de l'image inclut le nom du fichier image et ses données d'image associées. Exemple : Le champ Taille affiche l'espace qu'occupait l'image sur le disque dur de l'ordinateur source. Le champ Taille sur le disque affiche la taille actuelle du fichier image compressé avant son déploiement.

Vous pouvez modifier le Mot de passe du fichier image dans cette boîte de dialogue.


Propriétés générales d'un volume

Cette page affiche les données propres à un volume. Après avoir sélectionné Propriétés pour un dossier sélectionné au sein d'un fichier image, cliquez sur l'onglet Général pour afficher ses données de propriétés supplémentaires, telles que la taille, l'emplacement et les attributs.


Propriétés générales d'un dossier

Cette page affiche les données propres à un dossier. Après avoir sélectionné Propriétés pour un fichier sélectionné au sein d'une image, cliquez sur l'onglet Général pour afficher les fichiers inclus et les données de propriétés supplémentaires, telles que la taille, l'emplacement et les attributs.


Propriétés générales des fichiers

Cette page affiche les données propres à des fichiers. Après avoir sélectionné Propriétés pour un dossier sélectionné au sein d'un fichier image, cliquez sur l'onglet Général pour afficher ses fichiers inclus et les données de propriétés supplémentaires, telles que la taille, l'emplacement et les attributs.


Propriétés de description d'une image

Cette page affiche les volumes constitutifs d'un fichier image. Elle fournit le décompte des volumes de l'image et répertorie le nom de chaque volume dans le volet Volumes. Si le fichier image dispose d'un accès en lecture-écriture, vous pouvez modifier la description de l'image.


Propriétés des partitions de disques

La page de propriétés Divers propose une liste complète des attributs système pour chaque volume du fichier image. Elle inclut les données et les statistiques des volumes, y compris les données importées de la table de partition.


Ouvrir un fichier

Pour ouvrir un fichier dans une image, double-cliquez sur le fichier dans le volet Détails de droite d'ImageExplorer ou effectuez un clic droit et sélectionnez Ouvrir. Le fichier s'ouvre avec son programme associé. Si aucun programme associé n'est localisé, une boîte de dialogue Ouvrir avec s'affiche et permet à l'utilisateur de sélectionner et d'associer un programme pour le fichier.

Remarque : vous pouvez également associer un fichier avec un programme en effectuant un clic droit sur le fichier et en sélectionnant la commande Ouvrir avec.

La fonction Ouverture rapide vous permet de sélectionner un programme par défaut pour ouvrir les fichiers sans programmes associés (le Bloc-notes de Microsoft est le programme par défaut). Vous pouvez modifier le programme par défaut de la fonction Ouverture rapide en cliquant sur Affichage > Paramètres et en modifiant le champ Ouvrir avec le programme.

Voir aussi : Impression d'un fichier et Paramètres.


Ouvrir des fichiers image fractionnés

Si une image est trop volumineuse ou que vous tentez d'en limiter la taille pour la stocker (par exemple en divisant des fichiers image par tranches de 600 Mo pour les archiver sur plusieurs CD), vous pouvez utiliser les fonctions de RapiDeploy pour fractionner le fichier image en de multiple fichiers. En cas de modification, ImageExplorer gardera en mémoire ces fichiers image fractionnés et vous invitera à localiser tous les fichiers image connexes supplémentaires qui ne sont pas stockés sur le même répertoire.


Rechercher des fichiers image fractionnés manquants

Si des fichiers multiples issus d'une image fractionnée sont conservés dans différents dossiers ou sur des CD séparés, cette boîte de dialogue s'ouvrira pour vous aider à localiser les fichiers image fractionnés manquants. Entrez un chemin dans le champ ou recherchez les fichiers manquants. ImageExplore garde en mémoire tous les fichiers image fractionnés et vous demandera tous les fichiers image fractionnés manquants si ceux-ci ne se trouvent pas dans le même dossier.


Ajout de nouveaux fichiers

  1. Ouvrez ImageExplorer d'Altiris.
  2. Choisissez le menu Fichier > Ouvrir. Sélectionnez un fichier image.
  3. Cliquez sur OK.
  4. Effectuez un clic droit sur le volume ou le dossier de votre choix dans l'image et sélectionnez Ajouter fichier(s). La boîte de dialogue Sélectionner le(s) fichier(s) à ajouter s'affiche.

Option 1 :

    • Localisez un fichier et cliquez sur OK. Le nouveau fichier s'affiche alors dans l'image.

      • Option 2 :

    • Faites glisser un fichier depuis Windows Explorer vers le dossier ou le volume sélectionné dans un fichier image affiché dans ImageExplorer, ou copiez/collez le fichier. Si l'option est sélectionnée (voir Opérations Coller / Déposer dans la boîte de dialogue Paramètres), un message apparaîtra pour confirmer votre décision de copier un fichier sur le fichier image.

Remarque : vous pouvez accéder aux fichiers texte et les modifier en double-cliquant sur le fichier dans le volet Détails de la boîte de dialogue ImageExplorer.


Conversion d'une image

Le format de fichier interne des images était précédemment le format de fichier 4 dans Deployment Server 5.5 et antérieur. Deployment Server 5.6 ou ultérieur utilise désormais le format de fichier 6. Le format de fichier 6 n'a pas été modifié depuis sa distribution, mais des changements mineurs ont permis d'améliorer la structure générale du format.

Cette fonction vous permet de sélectionner tout fichier image précédemment créé et de le convertir au format de fichier actuel utilisé par RapiDeploy. Si le format de fichier change dans les distributions futures de Deployment Server, le format de fichier le plus récent sera toujours utilisé lors de la conversion d'un fichier image.

Lorsque vous convertissez des fichiers image, gardez à l'esprit les points suivants :

  • Si une ancienne image comporte un fichier d'index d'image (.imx), un nouveau fichier d'index d'image est créé.
  • Si un ancien fichier d'image est une image auto-extractible, le code incorporé RapiDeploy est supprimé et l'image est restaurée en un fichier .img. Vous ne recevrez pas de message vous avertissant de la suppression du code d'auto-extraction incorporé.
  • Si une ancienne image contient un mot de passe, le nouveau fichier image créé n'aura pas de mot de passe. Toutefois, l'utilisateur verra s'afficher un message lui indiquant que le mot de passe a été supprimé.
  • Les conversions de fichiers peuvent demander un temps variable parce que ImageExplorer lit chaque segment de l'image avant de le convertir en nouveau fichier image. Si certains de vos fichiers sont volumineux et sont composés de nombreux segments, le processus durera plus longtemps.
Définition des champs

Fichier image à convertir : Sélectionnez le fichier image que vous souhaitez convertir.

Taille actuelle du segment : Par défaut, la taille du segment pour les images RapiDeploy est de 2 Go.

Nbre actuel de segments : Le nombre de segments dans le fichier image.

Nouveau fichier image de sortie : Sélectionnez un dossier et un nom de fichier pour le fichier image que vous souhaitez convertir, sur la base de la nouvelle taille du segment.

Nouvelle taille segments (Mo) : Dans la liste déroulante, sélectionnez une taille pour les segments d'image. La liste des options inclut, entre autres, des tailles par défaut pour les CD et les lecteurs zip. Lorsqu'un segment de fichier atteint sa limite, un nouveau segment est créé jusqu'à la conversion complète de l'image.

Nbre estimé de segments : L'estimation du nombre de segments dans le fichier que vous avez choisi de convertir.

Pour convertir un fichier image
  1. Choisissez le menu Fichier et sélectionnez Convertir image.
  2. Cliquez sur l'icône Parcourir pour accéder à un dossier, et sélectionnez un fichier image à convertir.
  3. Cliquer sur l'icône Parcourir pour accéder à un dossier. Entrez un nouveau nom de fichier pour l'image convertie.
  4. Cliquez sur la flèche déroulante et sélectionnez une taille de segment dans la liste.
  5. Cliquez sur OK.


Création d'un index d'image

Cette fonction vous permet de créer un fichier index pour les fichiers image. Lorsque vous copiez les images sur des CD, le fichier index, ainsi que le premier segment de l'image, peut fournir à RapiDeploy les informations sur le fichier lors de la restauration du fichier image.

Exemple : si votre image comprend plusieurs segments (par exemple .img, .002, .003 et .004), ImageExplorer crée, à la fin du segment .004, un sommaire qui identifie les informations de fichier pour chaque segment de l'image.

Un nouveau fichier d'index intitulé .imx est créé à l'aide de cette fonction. Ensuite, lorsque vous copiez les segments sur des CD, vous pouvez sélectionner des fichiers .img et .imx et les faire figurer sur un même CD. Vous pouvez copier les autres segments .002, .003 et .004 sur des CD supplémentaires, si nécessaire. Lorsque vous utilisez des CD pour restaurer une image, le premier CD contenant les fichiers .img et .imx fournit à RapiDeploy les informations dont il a besoin pour restaurer l'image. La restauration d'images est facilitée car il devient inutile d'insérer le premier CD, puis le dernier CD, et enfin à revenir au premier CD juste afin que RapiDeploy puisse restaurer l'image.

Vous pouvez également indexer des images lorsque vous les créez en sélectionnant l'option Créer un fichier d'index d'image (.imx) - dans RapiDeploy. Voir le Guide de référence de RapiDeploy.

Définition des champs

Fichier image à indexer : Sélectionnez le fichier image que vous souhaitez indexer.

Dossier de sortie pour l'index (facultatif): Si vous ne sélectionnez pas de dossier pour la sortie d'index, le fichier .imx est créé dans le même dossier que l'image que vous avez choisi d'indexer.

Pour créer un index d'image
  1. Choisissez le menu Fichier et sélectionnez Créer index d'image.
  2. Cliquez sur Parcourir pour accéder à un dossier, et sélectionnez un fichier image.
  3. Cliquez sur Parcourir pour accéder au dossier qui recevra le fichier d'index.
  4. Cliquez sur OK.


Extraction d'un dossier

Utilisez cette fonction pour extraire un dossier ou un fichier d'une image et l'enregistrer sur un dossier cible externe :

  1. Ouvrez ImageExplorer d'Altiris.
  2. Choisissez le menu Fichier > Ouvrir. Sélectionnez un fichier image.
  3. Cliquez sur OK.
  4. Sélectionnez un dossier dans l'image, effectuez un clic droit et sélectionnez Extraire dossier. La boîte de dialogue Parcourir s'affiche.
  5. Sélectionnez un dossier sur votre disque local ou sur le réseau où placer le dossier extrait.
  6. Cliquez sur OK.

Remarque : l'extraction d'importants volumes de données et d'un grand nombre de fichiers peut demander plusieurs minutes.


Recherche de fichiers

Pour lancer une recherche de fichiers ou de dossiers dans un fichier image, entrez une chaîne de caractères (alphabétique ou numérique) dans le champ Rechercher. Vous pouvez utiliser ? (point d'interrogation) comme variable pour un caractère unique, ou bien * (astérisque) pour des caractères multiples.

Pour rechercher un fichier, sélectionnez le fichier image, le nom de volume ou le nom de dossier dans l'arborescence afin de définir un domaine de recherche. Vous pouvez modifier le domaine de recherche avant de cliquer sur Rechercher.

Définition des champs

Inclure dossiers correspondants : Sélectionnez cette option pour inclure les dossiers correspondant aux critères dans les résultats de la recherche.

Inclure fichiers correspondants : Sélectionnez cette option pour inclure les fichiers correspondant aux critères dans les résultats de la recherche.

Les fichiers et les dossiers correspondant aux critères de recherche spécifiés sont répertoriés dans la boîte de résultats organisée par Nom de fichier et Emplacement.


Filtrer les résultats

Cliquez sur Filtrer dans la boîte de dialogue Recherche de fichiers afin de lancer une recherche avancée de fichiers basée sur les attributs système associés (Lecture seule, Caché, Système) et les attributs ImageExplorer (Ajouté, Exclu, Remplacé).

Définition des champs

Rechercher : Entrez la chaîne ou des caractères afin de rechercher le fichier sur la base des attributs système ou des attributs ImageExplorer du fichier ou du dossier. Cliquez sur Inclure fichiers correspondants afin de sélectionner les fichiers. Cliquez sur Inclure dossiers correspondants afin de sélectionner les dossiers.

Remarque : pour effectuer une recherche dans un répertoire spécifique, sélectionnez ce répertoire dans le volet de l'arborescence et ouvrez la boîte de dialogue Rechercher.

Les attributs suivants utilisent des cases à cocher avec trois options correspondant aux fonctions suivantes :

  • une case cochée noire signifie que l'élément doit contenir l'attribut.
  • une case vide signifie que l'élément ne doit pas contenir l'attribut.
  • une coche grisée signifie que la valeur est NULL et que l'élément peut avoir la valeur ou non.

Attributs : il s'agit des attributs système des fichiers assignés par le système d'exploitation lorsque l'image a été créée.

Indicateurs : il s'agit des attributs assignés par ImageExplorer.


Création d'images auto-extractibles

Cette option vous permet de créer un fichier auto-extractible pour un fichier image existant afin que vous puissiez lancer l'exécutable sur un ordinateur client. Elle vous sera utile quand vous devrez restaurer une image sur un ordinateur ne disposant pas d'un accès à Deployment Server et à RapiDeploy pour la création d'images via le réseau.

Vous pouvez sélectionner les fichiers image que vous avez créés avec RapiDeploy (lequel a été utilisé pour créer des images à partir de Deployment Server 5.6 ou ultérieur). Vous ne pouvez pas utiliser cette fonction si vous disposez d'images ayant été créées avec IBMaster Altiris 4.5 ou antérieur. Toutefois, lorsque vous accédez à un dossier pour sélectionner une image, tous les fichiers .img s'affichent. Vous pouvez utiliser la fonction Conversion d'une image pour convertir l'image au format de fichier RapiDeploy le plus récent.

Le fichier auto-extractible comprend un fichier image valide et RapiDeploy qui est incorporé dans l'exécutable. Vous pouvez copier le fichier auto-extractible sur un dossier ou un support amovible et l'exécuter manuellement sur tout ordinateur, ou bien vous pouvez créer une tâche de déploiement sur Deployment Server et distribuer le fichier auto-extractible sur plusieurs ordinateurs.

À mesure que de nouvelles versions de RapiDeploy deviennent disponibles par l'intermédiaire des mises à niveau de Deployment Server, vous pouvez rendre à nouveau tout fichier auto-extractible en exécutant à nouveau l'option Rendre auto-extractible. Le code RapiDeploy incorporé dans le fichier image est remplacé par la toute dernière version de RapiDeploy.

Ce processus peut être plus ou moins long car ImageExplorer ne lit que le segment .img. Si la taille de votre fichier est de 2 Go, l'opération durera plus longtemps que si le segment .img est de 700 Mo.

RapiDeploy et uniquement le premier segment du fichier image (.img) sont combinés de manière à créer l'exécutable permettant de restaurer les images. Toutefois, tous les autres segments constituant l'intégralité de l'image, y compris l'index (.imx), sont nécessaires lors de la restauration d'une image.

Voir aussi :Voir Création d'un index d'image.

Définition des champs

Type d'auto-extracteur actuel : Le fichier image que vous avez sélectionné est doté de ce type de système d'exploitation.

Conserver le fichier image d'origine : Sélectionnez cette case à cocher de sorte que ImageExplorer crée un fichier image auto-extractible sans affecter le fichier image d'origine.

Remarque : si vous désélectionnez cette case à cocher et que le processus Rendre auto-extractible échoue, le fichier image original risque d'être endommagé ou corrompu, et vous ne pourrez plus l'utiliser pour créer un fichier auto-extractible.

Taille du fichier image : La taille actuelle de l'image sélectionnée.

Supprimer l'auto-extracteur existant : Utilisez cette option pour supprimer le code .exe d'une image auto-extractible. Le fichier image reviendra à son état initial avec l'extension de fichier .img. Cette option n'est disponible que si le fichier image inclut un code auto-extractible.

DOS : Ce mode utilise l'interface utilisateur graphique de RapiDeploy pour afficher la progression du fichier image en cours d'exécution.

Mode texte DOS : Il s'agit d'une interface utilisateur en version texte. Vous pouvez afficher la barre de progression dans la partie inférieure de l'affichage sur l'ordinateur client pendant que le fichier image est en cours d'exécution.

Pour créer un fichier image auto-extractible
  1. Choisissez le menu Fichier et sélectionnez Rendre auto-extractible.
  2. Cliquez sur l'icône Parcourir pour accéder à l'emplacement du fichier image.
  3. Déselectionnez l'option Conserver le fichier d'origine si vous souhaitez rendre le fichier image original auto-extractible.
  4. Sélectionnez Modifier le type d'auto-extracteur. Voir Définition des champs.
  5. Cliquez sur OK. Le fichier auto-extractible est créé dans le même répertoire que le fichier image d'origine. Si le message Espace disque insuffisant apparaît, voir Espace disque insuffisant.


Espace disque insuffisant

Le fichier image que vous avez choisi de rendre auto-extractible ne peut être créé car vous ne disposez pas de suffisamment d'espace sur votre disque dur. Le message Espace disque insuffisant vous permet de sélectionner un autre emplacement pour créer le fichier auto-extractible. Entrez un chemin d'accès ou cliquez sur le bouton Parcourir pour accéder à un emplacement offrant davantage d'espace disque. Cliquez sur OK.


Impression du contenu du dossier

Vous pouvez imprimer une liste des fichiers et sous-dossiers qui se trouvent au sein d'un fichier image, d'un volume (partition) ou d'un dossier. Selon les options sélectionnées, vous pouvez imprimer un rapport incluant les fichiers et sous-dossiers constitutifs et inclure les champs de date et d'heure de modification, de taille et autres attributs concernant chaque fichier.

Lorsque vous imprimez le contenu d'un fichier image, d'un volume ou d'un dossier, cliquez sur OK pour afficher un Aperçu avant impression du rapport.

Définition des champs

Titre : Entrer un titre pour le rapport.

Contenu à imprimer

Uniquement ce dossier : Imprime seulement les fichiers dans l'image, le volume ou le dossier sélectionné. Cette action n'imprimera pas les sous-dossiers.

Dossier et tous sous-dossiers : Imprime les fichiers dans l'image, le volume ou le dossier, ainsi que tous les sous-dossiers et fichiers.

Eléments exclus : Imprime tout fichier précédemment marqué comme Exclu.

Entrées < . > : Imprime une entrée dans chaque dossier identifié comme <. > (notation avec point). Les attributs ainsi que les propriétés de date et d'heure concernant ce dossier caché seront enregistrés dans le fichier image.

Champs à imprimer

Date/heure de modification : Imprime la date et l'heure auxquelles le fichier ou le dossier a été modifié.

Taille : Imprime la taille du fichier.

Attributs et indicateurs : Imprime les attributs système Lecture seule, Archive, Caché, Système ou Compressé (Lecture seule, Système, Caché) et les attributs d'ImageExplorer (Ajouté, Exclu, Remplacé).

N° des fichiers : Imprime le numéro associé à chaque fichier.

Voir aussi : Impression d'un fichier.


Aperçu avant impression

Permet de visualiser une version en ligne du rapport à imprimer pour les fichiers image, les volumes ou les dossiers. Le nom du rapport apparaîtra en haut de la page et affichera sur un tableau les détails qui ont été sélectionnés dans la boîte de dialogue Impression du contenu du dossier.

Définition des champs

Enregistrer : Cliquez pour enregistrer le rapport sur un fichier texte.

Lignes : Afficher le nombre de lignes dans le rapport.

Imprimer : Cliquez pour imprimer le rapport.


Impression d'un fichier

Depuis la boîte de dialogue ImageExplorer, vous pouvez sélectionner et imprimer un fichier en utilisant son programme associé. Si votre fichier n'est associé à aucun programme, vous pouvez l'associer en choisissant parmi la liste des programmes installés sur l'ordinateur. Vous pouvez également tenter une opération Impression rapide pour ouvrir le fichier à l'aide d'un programme standard tel que le Bloc-Notes.

Définition des champs

Impression rapide : Cliquez sur ce bouton pour exécuter un programme par défaut permettant d'ouvrir et d'imprimer le fichier sélectionné. Le programme par défaut est le Bloc-Notes de Microsoft. Vous pouvez modifier le programme par défaut permettant d'ouvrir les fichiers à l'aide du champ Imprimer avec le programme dans la boîte de dialogue Paramètres.

Voir aussi : Impression du contenu du dossier et Ouvrir un fichier.


Définition d'un mot de passe pour un fichier image

Effectuez un clic droit sur un fichier image et sélectionnez Propriétés Dans la section Attributs, sélectionnez Mot de passe. La boîte de dialogue Définir/Changer le mot de passe apparaît.

Définition des champs

Mot de passe actuel : Entrer le mot de passe actuel.

Nouveau mot de passe : Entrer le nouveau mot de passe.

Confirmer mot de passe : Saisir le mot de passe une nouvelle fois pour confirmer qu'il a été correctement entré.


Paramètres

Vous pouvez définir les préférences d'Altiris ImageExplorer en choisissant le menu Affichage > Paramètres. La boîte de dialogue Paramètres qui apparaît vous permet de définir les options relatives à la confirmation d'opérations spécifiques à l'aide de messages dans l'interface utilisateur. Elle vous permet également de définir les options d'affichage ou d'exclusion d'éléments, ou de sélectionner des programmes par défaut lorsque vous utilisez les options Impression rapide (voir Impression d'un fichier) ou Ouverture rapide (voir Ouvrir un fichier).

Confirmations

Ouvrir en lecture seule : Affiche un message de confirmation à l'intention de l'utilisateur lorsqu'un fichier est ouvert en mode lecture seule, c'est-à-dire qu'aucun changement ne peut être enregistré. Exemple : un fichier image, créé dans RapiDeploy 4.5 ou antérieur, sera en lecture seul lorsqu'il s'ouvrira et aucune opération effectuée ne pourra être enregistrée. De ce fait, lorsque vous ouvrez ce fichier, un message de confirmation apparaît pour rappeler à l'utilisateur que le fichier ne peut pas être enregistré.

Remplacer fichier : Affiche un message de confirmation à l'intention de l'utilisateur lorsqu'un fichier est extrait d'un fichier image et écrase un fichier existant sur le lecteur de destination.

Rétablir fichier : Affiche un message de confirmation lors de l'exécution d'une opération de restauration qui ramène le fichier image à sa structure de fichier et à son contenu d'origine après un remplacement de fichier.

Coller et Déposer : Affiche un message de confirmation lorsque vous faites glisser un nouveau dossier dans un fichier image, que vous utilisez la fonction Copier/Coller pour déplacer des fichiers vers un autre dossier, ou que vous utilisez la commande Ajout de nouveaux fichiers.

Exclure : Affiche un message de confirmation à l'intention de l'utilisateur lors de l'attribution de l'option Exclure à un fichier (pour empêcher la télédistribution, en tant que partie de l'image, du fichier sélectionné). Ce message apparaîtra lorsque vous cliquez sur la case à cocher en regard du fichier ou du dossier, ou que vous sélectionnez l'opération Exclure.

Remplacer dossier : Affiche un message de confirmation à l'intention de l'utilisateur lorsqu'un dossier est extrait d'un fichier image et écrase un dossier existant sur le lecteur de destination.

Paramètres d'affichage

Aide toujours visible : Sélectionnez cette option de sorte que l'Aide soit toujours visible dans l'interface utilisateur d'ImageExplorer. Vous pouvez ainsi consulter l'Aide en permanence tout en utilisant le programme.

Afficher n° de fichiers : Affiche les numéros de fichiers associés dans le fichier image. Dans un système NTFS, les fichiers sont automatiquement numérotés. Dans un système FAT, EXT2, EXT3 et autres systèmes de fichiers, les fichiers sont numérotés par RapiDeploy lors de la création du fichier image.

Afficher éléments exclus : Affiche les fichiers marqués comme exclus dans l'image. Les fichiers apparaîtront après une actualisation de l'écran.

Extraire éléments exclus : Permet l'extraction des fichiers et dossiers exclus depuis le fichier image vers un dossier cible. Ce paramètre vous permet d'inclure tous les fichiers précédemment marqués comme exclus et de les enregistrer sur un dossier cible externe lorsque vous exécutez la commande Extraire.

Colorer éléments ajoutés : Sélectionnez cette option pour marquer en bleu les fichiers/dossiers ajoutés à l'image. Voir Ajouter fichier(s) et Ajouter dossier

Colorer éléments remplacés : Sélectionnez cette option pour marquer en magenta les fichiers/dossiers remplacés sur l'image. Voir Remplacer des fichiers (disponible pour les fichiers).

Colorer éléments exclus : Sélectionnez cette option pour marquer avec en rouge les fichiers/dossiers ajoutés à l'image. Voir Exclure.

Programmes par défaut pour ouvrir et imprimer les fichiers

Ces paramètres correspondent aux paramètres par défaut pour les options Ouverture rapide et Impression rapide qui s'affichent avec les fonctions Ouvrir avec et Ouvrir. Utilisez-les pour associer des fichiers à un programme courant, par exemple le Bloc-Notes de Microsoft.

Ouvrir avec le programme : Définit le programme par défaut à utiliser pour exécuter un fichier sélectionné. Le programme par défaut est le Bloc-Notes de Microsoft. Voir Ouvrir un fichier.

Imprimer avec le programme : Définit le programme par défaut à utiliser pour imprimer un fichier sélectionné. Le programme par défaut est le Bloc-Notes de Microsoft. Voir Recherche de fichiers.


Fractionnement d'un fichier image

Cette fonction vous permet de sélectionner un fichier image à fractionner (réécrire) en un nouveau fichier image en fonction de la taille de segment que vous sélectionnez. Alors que l'opération Conversion d'une image modifie le format de fichier d'une image pour appliquer le format actuel utilisé par RapiDeploy, le fractionnement d'une image préserve le format de l'image d'origine, mais modifie la taille de ses segments.

Exemple : si vous disposez d'un fichier image de 2 Go et que vous souhaitez fractionner l'image de manière à la faire tenir sur plusieurs CD, vous pouvez sélectionner 650 Mo ou 700 Mo comme nouvelle taille de segment. Le résultat serait un fichier image composé de plusieurs segments. Vous pourriez alors copier les segments sur des CD et les utiliser pour restaurer le fichier image sur les ordinateurs clients.

Lorsque vous fractionnez des fichiers image, gardez à l'esprit les points suivants :

  • Si l'ancienne image est une image d'un ancien format (IBMaster 4.5 ou antérieur), l'image ne peut être fractionnée. En revanche, elle sera convertie. Dans ce cas, un message de confirmation apparaît. Si vous choisissez de poursuivre, tous les principes du processus Convertir une image s'appliquent.
  • Si une ancienne image comporte un fichier d'index d'image (.imx), un nouveau fichier d'index d'image est créé.
  • Si un ancien fichier image est une image auto-extractible, le code RapiDeploy incorporé demeure, et la nouvelle image contiendra la même version de RapiDeploy que lors de sa création initiale. Toutefois, si l'image est une image d'un format ancien (IBMaster 4.5 ou antérieur), l'image ne peut être fractionnée. En revanche, elle sera convertie. Si vous poursuivez, le code auto-extractible est supprimé.
  • Si une ancienne image contient un mot de passe, le nouveau fichier image aura le même mot de passe. Toutefois, si l'image ancienne est une image d'un format ancien (IBMaster 4.5 ou antérieur), l'image ne peut être fractionnée. En revanche, elle sera convertie. Si vous poursuivez, le mot de passe est supprimé.
Définition des champs

Fichier image à fractionner : Sélectionnez le fichier image que vous souhaitez fractionner.

Taille actuelle du segment : Par défaut, la taille du segment pour les images RapiDeploy est de 2 Go.

Nbre actuel de segments : Le nombre de segments dans le fichier image.

Nouveau fichier image de sortie : Sélectionnez un dossier et un nom de fichier pour le fichier image que vous souhaitez fractionner.

Nouvelle taille segments (Mo) : Dans la liste déroulante, sélectionnez une taille pour les segments d'image. La liste des options inclut, entre autres, des tailles par défaut pour les CD et les lecteurs zip. Lorsqu'un segment de fichier atteint sa limite, un nouveau segment est créé jusqu'au fractionnement complet de l'image.

Nbre estimé de segments : L'estimation du nombre de segments dans le fichier que vous avez choisi de fractionner, sur la base de la nouvelle taille du segment.

Pour fractionner un fichier image
  1. Choisissez le menu Fichier et sélectionnez Fractionner image.
  2. Cliquez sur Parcourir pour accéder à un dossier, et sélectionnez un fichier image à fractionner.
  3. Cliquez sur Parcourir pour accéder à un dossier, et entrez un nouveau nom de fichier pour l'image.
  4. Cliquez sur la flèche déroulante et sélectionnez une taille de segment dans la liste.
  5. Cliquez sur OK.


Commutateurs de ligne de commande

Cette fonction peut servir à créer des scripts d'exécution ou des programmes de commande Deployment Server pour vous aider à gérer les images à partir d'une ligne de commande. À la fin de certains commutateurs, les options à sélectionner sont répertoriées pour indiquer que des commandes supplémentaires sont autorisées.

Pour accéder aux options de ligne de commande en ligne
  1. Sous Windows, cliquez sur Démarrer > Exécuter.
  2. Entrez la commande CMD dans le champ Ouvrir.
  3. Entrez C:\Program Files\Altiris\eXpress\Deployment Server\ (chemin d'installation par défaut).
  4. Entrez imgexpl /? pour afficher la page des commutateurs de la ligne de commande.
    ligne de commande
    Description
    Paramètres
    Fichiers image à ouvrir ou à exécuter (peut être répétée, par exemple w2k.img, xp.img).
    Commutateurs
    -register : Inscription des types de fichiers dans le Registre Windows.
    -unregister : Désinscription des types de fichiers dans le Registre Windows.
    -add <src> <dst> : Ajout de fichier, de dossier ou de volume à une image. Accepte
    l'option< -overwrite>. Vous pouvez utiliser des caractères génériques lorsque vous entrez la source (src).
    -extract <scr> <dst> : Extraction de fichier, de dossier ou de volume depuis une image. Accepte les options <-overwrite> et <-size>.
    -convert <dst> : Conversion d'une image d'un ancien format au format actuel utilisé par RapiDeploy. Accepte les options <-overwrite> et <-size>.
    -split <dst> : Fractionnement d'une image en segments de fichiers de taille nouvelle. Accepte les options <-overwrite> et <-size>.
    Options
    -lang <code langue> : *Spécifie le code de langue de l'interface utilisateur.
    -silent : *N'affiche aucun message de confirmation ni d'erreur.
    -password <mot de passe>: *Mots de passe permettant d'ouvrir les fichiers image.
    -overwrite : En mode silencieux, ne pas confirmer les actions.
    -size <taille en Mo> : Taille du nouveau segment d'image en Mo.
    * Indique les options qui peuvent être utilisées avec n'importe quelle commande
    Traitement des codes de sortie
    0 Succès.
    2 Erreur de syntaxe de la ligne de commande.
    4 Erreur d'inscription ou de désinscription des types de fichiers.
    6 Opération annulée par l'utilisateur.
    8 Tentative d'écriture sur une image en lecture seule.
    10 Mot de passe invalide.
    12 Erreur d'exécution d'une opération.
    14 Le fichier image est introuvable ou une erreur s'est produite lors de l'ouverture d'une image.
    16 La source est introuvable, ou une erreur s'est produite lors de l'ouverture de la source.
    18 La destination est introuvable, ou une erreur s'est produite lors de l'ouverture de la destination.

Exemples :

  1. Ouvrez un fichier W2k.img requérant le mot de passe `develop'.
    • C:\Program Files\Altiris\eXpress\Deployment Server\imgexpl f:\w2k.img -password develop
  2. Ouvrez deux fichiers image ayant chacun un mot de passe différent, `password' et `sales'.
    • C:\Program Files\Altiris\eXpress\Deployment Server\imgexpl f:\w2k.img -password develop f:\w2k.img -password sales
  3. Ajoutez tous les fichiers *.txt du lecteur e:\ au dossier `temp' du volume qui se trouve dans l'emplacement 1 de w2k.img.
    • C:\Program Files\Altiris\eXpress\Deployment Server\imgexpl f:\w2k.img -password develop -add e:\*.txt 1:\temp
  4. Extrayez le fichier kernal.dll du dossier `Windows' dans le volume `sys' dans w2k.img vers e:\dump.
    • C:\Program Files\Altiris\eXpress\Deployment Server\imgexpl f:\w2k.img -password develop -add e:\*.txt 1:\temp
  5. Convertissez le fichier image au format ancien, w2k.img, en la nouvelle image, new2k.img, fractionnée en segments de 650 Mo.
    • C:\Program Files\Altiris\eXpress\Deployment Server\imgexpl f:\w2k.img -convert f:\new2k.img -size 650